Isi
Indeks 🔎︎

# Fungsi Erl

Mengembalikan nomor baris tempat galat terjadi selama eksekusi program.

## Sintaksis:

    Erl

## Nilai hasil:

Integer

## Parameter:

Fungsi Erl hanya mengembalikan nomor baris, dan bukan label baris.

## Contoh:

    Sub ExampleError
    Pada Galat GoTo ErrorHandler ' Mengatur penangan galat
    Dim iVar As Integer
    Dim sVar As String
    Kesalahan REM karena berkas yang tidak ada
        iVar = Freefile
        Open "\file9879.txt" For Input As #iVar
        Line Input #iVar, sVar
        Close #iVar
        Exit Sub
    ErrorHandler:
        MsgBox "Kesalahan " & Err & ": " & Error$ + chr(13) + "Pada baris : " + Erl + chr(13) + Now , 16 ,"sebuah kesalahan telah terjadi"
    End Sub

Topik Terkait

Error-Handling Functions